rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
parseReqs.c File Reference
RPMBUILD.

Parse dependency tag from spec file or from auto-dependency generator. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmlog.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
Include dependency graph for parseReqs.c:

Go to the source code of this file.

## Macros
#define | _RPMEVR_INTERNAL
#define | SKIPWHITE(_x) {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}
#define | SKIPNONWHITE(_x) {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

## Functions
rpmRC | parseRCPOT (Spec spec, Package pkg, const char *field, rpmTag tagN, rpmuint32_t index, rpmsenseFlags tagflags)
| Parse dependency relations from spec file and/or autogenerated output buffer. More...

## Detailed Description

Parse dependency tag from spec file or from auto-dependency generator.

Definition in file parseReqs.c.

## Macro Definition Documentation

#define _RPMEVR_INTERNAL

Definition at line 11 of file parseReqs.c.

#define SKIPNONWHITE | ( |  | _x | ) | {while(*(_x) &&!(xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 18 of file parseReqs.c.

Referenced by parseRCPOT().

#define SKIPWHITE | ( |  | _x | ) | {while(*(_x) && (xisspace(*_x) || *(_x) == ',')) (_x)++;}

Definition at line 17 of file parseReqs.c.

Referenced by parseRCPOT().